Get Global Config token meta data
GET
https://api.vercel.com/v1/global-config/{edgeConfigId}/token/{token}Return meta data about a Global Config token.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.globalConfig.getEdgeConfigToken({ edgeConfigId: "<id>", token: "<value>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "createdAt": "123", "edgeConfigId": "example_id", "id": "icfg_1234567890", "label": "string", "partialToken": "string", "token": "string"}AuthorizationbearerToken
Default authentication mechanism
200The Global Config.
A partially-masked representation of the token, safe to display in UIs. The format is the first 3 characters of the token followed by a fixed 8-character
* mask (e.g. 550e8400-e29b-41d4-a716-446655440000 → 550********). The mask length is intentionally fixed (not proportional to the original token length) to avoid leaking the token length. Prefer this field for display/reference in UIs and logs. The full, plaintext token is only disclosed once at creation time via POST /v1/edge-config/:edgeConfigId/token; use id to reference a token in subsequent calls (e.g. when deleting).Deprecated: the full, plaintext token. - Returned once by
POST /v1/edge-config/:edgeConfigId/token (create). - Still returned by GET /v1/edge-config/:edgeConfigId/token/:token (detail) for backwards compatibility, but scheduled for removal. - Not returned by GET /v1/edge-config/:edgeConfigId/tokens (list); use partialToken for display and id to reference tokens. Do not rely on this field being present on read operations. Prefer partialToken for display and id for references.400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error